com.ihr.xbrl.util.zip

## Class ZipFileProxy

- java.lang.Object
- - java.io.File
  - - com.ihr.xbrl.util.zip.ZipFileProxy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.io.File>

      public class ZipFileProxy
      extends java.io.File

  The Class ZipFileProxy.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.File

      `pathSeparator, pathSeparatorChar, separator, separatorChar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipFileProxy(java.io.File file, java.net.URI base, java.lang.String localZipRootPath)` Instantiates a new zip file proxy.
    `ZipFileProxy(java.lang.String name, java.io.File file, java.net.URI base, java.lang.String localZipRootPath)` Instantiates a new zip file proxy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exists()`
    `java.net.URI` | `getBase()` Gets the base.
    `java.io.File` | `getCanonicalFile()`
    `java.io.File[]` | `getFiles(java.lang.String dir)` Gets the files.
    `java.lang.String` | `getName()`
    `java.io.File` | `getParentFile()`
    `java.lang.String` | `getPath()`

    - ### Methods inherited from class java.io.File

      `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, getAbsoluteFile, getAbsolutePath, getCanonicalPath, getFreeSpace, getParent, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipFileProxy

          public ZipFileProxy(java.io.File file,
                      java.net.URI base,
                      java.lang.String localZipRootPath)

      Instantiates a new zip file proxy.
      Parameters:
        `file` - the file
        `base` - the base
        `localZipRootPath` - the local zip path (path inside the ZIP file) only files on this path will be included

    - #### ZipFileProxy

          public ZipFileProxy(java.lang.String name,
                      java.io.File file,
                      java.net.URI base,
                      java.lang.String localZipRootPath)

      Instantiates a new zip file proxy.
      Parameters:
        `name` - the name
        `file` - the file
        `base` - the base
        `localZipRootPath` - the local zip path (path inside the ZIP file) only files on this path will be included

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Overrides:
        `getPath` in class `java.io.File`

    - #### exists

          public boolean exists()

      Overrides:
        `exists` in class `java.io.File`

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `java.io.File`

    - #### getParentFile

          public java.io.File getParentFile()

      Overrides:
        `getParentFile` in class `java.io.File`

    - #### getCanonicalFile

          public java.io.File getCanonicalFile()
                                        throws java.io.IOException

      Overrides:
        `getCanonicalFile` in class `java.io.File`
      Throws:
        `java.io.IOException`

    - #### getBase

          public java.net.URI getBase()

      Gets the base.
      Returns:
        the base

    - #### getFiles

          public java.io.File[] getFiles(java.lang.String dir)

      Gets the files.
      Parameters:
        `dir` - the dir
      Returns:
        the files